# $Revision: 1.15 $, $Date: 2010/11/13 00:20:21 $
%define		module	pexpect
Summary:	Expect module for Python
Summary(pl.UTF-8):	Moduł Pythona automatyzujący zadania, wzorowany na Expect
Name:		python-%{module}
Version:	2.3
Release:	5
License:	PSF
Group:		Development/Languages/Python
Source0:	http://dl.sourceforge.net/pexpect/pexpect-%{version}.tar.gz
# Source0-md5:	bf107cf54e67bc6dec5bea1f3e6a65c3
URL:		http://pexpect.sourceforge.net/
BuildRequires:	python-devel >= 2.2
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pexpect is a pure Python module for spawning child applications;
controlling them; and responding to expected patterns in their output.
Pexpect works like Don Libes' Expect. Pexpect allows your script to
spawn a child application and control it as if a human were typing
commands.

%description -l pl.UTF-8
Pexpect jest modułem napisanym wyłącznie w Pythonie przeznaczonym do
uruchamiania aplikacji i kontroli nad nimi poprzez reagowanie na
znalezione wzorce na ich wyjściu. Pexpect działa podobnie do Expecta
Dona Libesa - pozwala skryptom z ich poziomu uruchomić inne programy i
sprawować nad nimi kontrolę imitując interakcję użytkownika.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT

install examples/*.py {ANSI,FSM,screen}.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README doc/*.html
%{py_sitescriptdir}/*.py[co]
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pexpect.spec,v $
Revision 1.15  2010/11/13 00:20:21  pawelz
- release 5

Revision 1.14  2010/07/08 08:26:24  arekm
- release 4

Revision 1.13  2009/03/14 12:27:20  hawk
- release 3

Revision 1.12  2008/10/03 17:55:21  arekm
- release 2

Revision 1.11  2008-05-07 17:45:57  qboosh
- use __python macro
- BR: rpm-pythonprov

Revision 1.10  2008-04-25 16:51:20  aredridel
- 2.3

Revision 1.9  2007-12-25 14:55:53  twittner
- up to 2.2
- noarch

Revision 1.8  2007-08-31 21:26:10  twittner
- up to 2.1

Revision 1.7  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.5  2006/03/04 14:38:45  glen
- up to 2.0, doc not updated

Revision 1.4  2005/10/20 07:46:31  arekm
- up to 0.99999b

Revision 1.3  2005/08/17 23:02:50  qboosh
- wrapped, pl cosmetic, shorter sf URLs

Revision 1.2  2005/08/16 13:03:20  saq
- PLD policy, cosmetics

Revision 1.1  2005/08/14 19:51:57  twittner
- added (spec was made by Irek Słonina <br linuxnews pl>)
